mstate Struct Reference

## Data Fields

binmap_t | smallmap
binmap_t | treemap
size_t | dvsize
size_t | topsize
char * | least_addr
mchunkptr | dv
mchunkptr | top
size_t | trim_check
size_t | magic
mchunkptr | smallbins [(NSMALLBINS+1)*2]
tbinptr | treebins [NTREEBINS]
size_t | footprint
size_t | max_footprint
flag_t | mflags
MLOCK_T | mutex
msegment | seg

## Detailed Description

Definition at line 2065 of file SDL_malloc.c.

## Field Documentation

mchunkptr mstate::dv

Definition at line 2072 of file SDL_malloc.c.

size_t mstate::dvsize

Definition at line 2069 of file SDL_malloc.c.

size_t mstate::footprint

Definition at line 2078 of file SDL_malloc.c.

Referenced by change_mparam(), and dlmallopt().

char* mstate::least_addr

Definition at line 2071 of file SDL_malloc.c.

size_t mstate::magic

Definition at line 2075 of file SDL_malloc.c.

size_t mstate::max_footprint

Definition at line 2079 of file SDL_malloc.c.

Referenced by dlmallopt().

flag_t mstate::mflags

Definition at line 2080 of file SDL_malloc.c.

MLOCK_T mstate::mutex

Definition at line 2082 of file SDL_malloc.c.

msegment mstate::seg

Definition at line 2084 of file SDL_malloc.c.

mchunkptr mstate::smallbins[(NSMALLBINS+1)*2]

Definition at line 2076 of file SDL_malloc.c.

binmap_t mstate::smallmap

Definition at line 2067 of file SDL_malloc.c.

mchunkptr mstate::top

Definition at line 2073 of file SDL_malloc.c.

size_t mstate::topsize

Definition at line 2070 of file SDL_malloc.c.

tbinptr mstate::treebins[NTREEBINS]

Definition at line 2077 of file SDL_malloc.c.

binmap_t mstate::treemap

Definition at line 2068 of file SDL_malloc.c.

size_t mstate::trim_check

Definition at line 2074 of file SDL_malloc.c.

The documentation for this struct was generated from the following file:

- src/stdlib/SDL_malloc.c